//
// This code is part of https://www.grapecity.com/documents-api-word/demos.
// Copyright (c) GrapeCity, Inc. All rights reserved.
//
using System;
using System.IO;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using GrapeCity.Documents.Word;

namespace GcWordWeb.Samples
{
 
    public class DataTplSimpleListJson
    {
        public GcWordDocument CreateDocx()
        {
       
            var doc = new GcWordDocument();
            using (var oceans = File.OpenRead(Path.Combine("Resources", "data", "oceans.json")))
                doc.DataTemplate.DataSources.Add("ds", oceans);

            var myListTemplate = doc.ListTemplates.Add(BuiltInListTemplateId.BulletDefault, "myListTemplate");

            var p = doc.Body.Paragraphs.Add("{{#ds}}{{ds.name}}  {{ds.pic}:image(120,120)}  {{/ds}}");
            p.ListFormat.Template = myListTemplate;

            doc.DataTemplate.Process();
            return doc;
        }
    }
}
